Bug 927240 - Package does not match intended download
Summary: Package does not match intended download
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 19
Hardware: ppc64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-25 13:25 UTC by Mark Hamzy
Modified: 2013-11-15 12:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-05 00:01:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Mark Hamzy 2013-03-25 13:25:18 UTC
1) Install Fedora 18.

2) Run these commands:

[root@sharpie ~]# yum update -y
[root@sharpie ~]# yum install -y mock
[root@sharpie ~]# (cd /usr/lib/python2.7/site-packages/; wget --quiet -O - 'http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff_plain;h=fe21657d863' | patch -p1)
[root@sharpie ~]# adduser -m -G mock build
[root@sharpie ~]# cat << __EOF__ > /etc/mock/fedora-19branched-ppc64.cfg
config_opts['root'] = 'fedora-19branched-ppc64'
config_opts['target_arch'] = 'ppc64'
config_opts['legal_host_arches'] = ('ppc64',)
config_opts['chroot_setup_cmd'] = 'groupinstall buildsys-build'
config_opts['dist'] = 'fc19'  # only useful for --resultdir variable subst

config_opts['yum.conf'] = """
[main]
cachedir=/var/cache/yum
debuglevel=1
reposdir=/dev/null
logfile=/var/log/yum.log
retries=20
obsoletes=1
gpgcheck=0
assumeyes=1
syslog_ident=mock
syslog_device=

[fedora]
name=fedora
baseurl=http://ppc.koji.fedoraproject.org/mash/branched-20130325/19-ppc/ppc64/os/
failovermethod=priority
cost=2

[local]
name=local
baseurl=file:///home/fedora-19branched-ppc64/
cost=1
enabled=0

[fedora-debuginfo]
name=fedora-debuginfo
baseurl=http://ppc.koji.fedoraproject.org/mash/branched-20130325/19-ppc/ppc64/debug/
failovermethod=priority
enabled=0

[fedora-source]
name=fedora-source
baseurl=http://ppc.koji.fedoraproject.org/mash/branched-20130325/19-ppc/source/SRPMS/
failovermethod=priority
"""
__EOF__
[root@sharpie ~]# su - build
[build@sharpie ~]$ mock -r fedora-19branched-ppc64 --init
INFO: mock.py version 1.1.29 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: lock buildroot
Start: clean chroot
Finish: clean chroot
Finish: lock buildroot
Start: chroot init
Start: lock buildroot
Mock Version: 1.1.29
INFO: Mock Version: 1.1.29
INFO: calling preinit hooks
INFO: enabled root cache
INFO: /etc/mock/fedora-19branched-ppc64.cfg newer than root cache; cache will be rebuilt
INFO: enabled yum cache
Start: cleaning yum metadata
Finish: cleaning yum metadata
INFO: enabled ccache
Start: device setup
Finish: device setup
Start: yum update
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-19branched-ppc64/root/', 'groupinstall', 'buildsys-build', '--setopt=tsflags=nocontexts']

================================================================================
 Package                  Arch      Version                      Repository
                                                                           Size
================================================================================
Installing:
 bash                     ppc64     4.2.45-1.fc19                fedora   1.0 M
 bzip2                    ppc64p7   1.0.6-8.fc19                 fedora    53 k
 coreutils                ppc64     8.21-8.fc19                  fedora   3.3 M
 cpio                     ppc64     2.11-19.fc19                 fedora   208 k
 diffutils                ppc64     3.2-13.fc19                  fedora   270 k
 fedora-release           noarch    19-0.5                       fedora    26 k
 findutils                ppc64     1:4.5.11-1.fc19              fedora   555 k
 gawk                     ppc64     4.0.2-2.fc19                 fedora   843 k
 gcc                      ppc64     4.8.0-1.fc19                 fedora    14 M
 gcc-c++                  ppc64     4.8.0-1.fc19                 fedora   8.0 M
 grep                     ppc64     2.14-3.fc19                  fedora   323 k
 gzip                     ppc64     1.5-4.fc19                   fedora   128 k
 info                     ppc64     5.0-3.fc19                   fedora   226 k
 make                     ppc64     1:3.82-15.fc19               fedora   419 k
 patch                    ppc64     2.7.1-3.fc19                 fedora   108 k
 redhat-rpm-config        noarch    9.1.0-39.fc19                fedora    70 k
 rpm-build                ppc64     4.11.0.1-1.fc19              fedora   135 k
 sed                      ppc64     4.2.2-2.fc19                 fedora   231 k
 shadow-utils             ppc64     2:4.1.5.1-5.fc19             fedora   1.1 M
 tar                      ppc64     2:1.26-20.fc19               fedora   835 k
 unzip                    ppc64     6.0-8.fc19                   fedora   163 k
 util-linux               ppc64     2.22.2-6.fc19                fedora   1.7 M
 which                    ppc64     2.20-5.fc19                  fedora    41 k
 xz                       ppc64p7   5.1.2-4alpha.fc19            fedora   199 k
Installing for dependencies:
 acl                      ppc64     2.2.51-9.fc19                fedora    83 k
 audit-libs               ppc64     2.2.3-1.fc19                 fedora    74 k
 basesystem               noarch    10.0-8.fc19                  fedora   5.0 k
 binutils                 ppc64     2.23.52.0.1-6.fc19           fedora   3.0 M
 bzip2-libs               ppc64p7   1.0.6-8.fc19                 fedora    45 k
 ca-certificates          noarch    2012.87-9.fc19.1             fedora   340 k
 chkconfig                ppc64     1.3.60-1.fc19                fedora   167 k
 cpp                      ppc64     4.8.0-1.fc19                 fedora   6.7 M
 cracklib                 ppc64     2.8.22-3.fc19                fedora    79 k
 cracklib-dicts           ppc64     2.8.22-3.fc19                fedora   3.5 M
 cryptsetup-libs          ppc64     1.6.0-2.fc19                 fedora   157 k
 curl                     ppc64     7.29.0-4.fc19                fedora   259 k
 cyrus-sasl-lib           ppc64p7   2.1.26-6.fc19                fedora   151 k
 dbus                     ppc64     1:1.6.8-4.fc19               fedora   277 k
 dbus-libs                ppc64     1:1.6.8-4.fc19               fedora   147 k
 device-mapper            ppc64     1.02.77-5.fc19               fedora   168 k
 device-mapper-libs       ppc64     1.02.77-5.fc19               fedora   193 k
 dwz                      ppc64     0.10-1.fc19                  fedora    96 k
 elfutils                 ppc64     0.155-5.fc19                 fedora   249 k
 elfutils-libelf          ppc64     0.155-5.fc19                 fedora   182 k
 elfutils-libs            ppc64     0.155-5.fc19                 fedora   213 k
 expat                    ppc64     2.1.0-5.fc19                 fedora    77 k
 file                     ppc64     5.11-9.fc19                  fedora    53 k
 file-libs                ppc64     5.11-9.fc19                  fedora   335 k
 filesystem               ppc64     3.2-7.fc19                   fedora   1.0 M
 fipscheck                ppc64     1.3.1-3.fc19                 fedora    21 k
 fipscheck-lib            ppc64     1.3.1-3.fc19                 fedora   9.7 k
 gdb                      ppc64     7.5.50.20130310-13.fc19      fedora   2.1 M
 gdbm                     ppc64     1.10-5.fc19                  fedora    73 k
 glib2                    ppc64     2.35.9-1.fc19                fedora   2.1 M
 glibc                    ppc64     2.17-4.fc19                  fedora   4.7 M
 glibc-common             ppc64p7   2.17-4.fc19                  fedora    11 M
 glibc-devel              ppc64     2.17-4.fc19                  fedora   1.0 M
 glibc-headers            ppc64p7   2.17-4.fc19                  fedora   630 k
 gmp                      ppc64     1:5.1.1-2.fc19               fedora   273 k
 gnupg2                   ppc64     2.0.19-8.fc19                fedora   1.4 M
 gnutls                   ppc64     3.1.9-1.fc19                 fedora   537 k
 kernel-headers           ppc64p7   3.9.0-0.rc3.git0.3.fc19      fedora   817 k
 keyutils-libs            ppc64     1.5.5-4.fc19                 fedora    25 k
 kmod-libs                ppc64     12-3.fc19                    fedora    44 k
 krb5-libs                ppc64     1.11.1-4.fc19                fedora   799 k
 libacl                   ppc64     2.2.51-9.fc19                fedora    28 k
 libassuan                ppc64     2.0.3-5.fc19                 fedora    61 k
 libattr                  ppc64     2.4.46-9.fc19                fedora    19 k
 libblkid                 ppc64     2.22.2-6.fc19                fedora   151 k
 libcap                   ppc64     2.22-5.fc19                  fedora    49 k
 libcap-ng                ppc64     0.7.3-3.fc19                 fedora    25 k
 libcom_err               ppc64     1.42.7-2.fc19                fedora    39 k
 libcurl                  ppc64     7.29.0-4.fc19                fedora   206 k
 libdb                    ppc64     5.3.21-5.fc19                fedora   697 k
 libdb-utils              ppc64     5.3.21-5.fc19                fedora    85 k
 libdb4                   ppc64     4.8.30-6.fc19                fedora   590 k
 libffi                   ppc64     3.0.11-2.fc19                fedora    29 k
 libgcc                   ppc64     4.8.0-1.fc19                 fedora    65 k
 libgcrypt                ppc64     1.5.1-1.fc19                 fedora   261 k
 libgomp                  ppc64     4.8.0-1.fc19                 fedora    92 k
 libgpg-error             ppc64     1.10-4.fc19                  fedora    78 k
 libidn                   ppc64     1.26-2.fc19                  fedora   207 k
 libmicrohttpd            ppc64     0.9.24-2.fc19                fedora    53 k
 libmount                 ppc64     2.22.2-6.fc19                fedora   154 k
 libmpc                   ppc64     1.0.1-1.fc19                 fedora    52 k
 libpwquality             ppc64     1.2.1-2.fc19                 fedora    72 k
 libselinux               ppc64     2.1.13-11.fc19               fedora   139 k
 libselinux-utils         ppc64     2.1.13-11.fc19               fedora   132 k
 libsemanage              ppc64     2.1.10-2.fc19                fedora   117 k
 libsepol                 ppc64     2.1.9-1.fc19                 fedora   147 k
 libssh2                  ppc64     1.4.3-2.fc19                 fedora   134 k
 libstdc++                ppc64     4.8.0-1.fc19                 fedora   304 k
 libstdc++-devel          ppc64     4.8.0-1.fc19                 fedora   1.5 M
 libtasn1                 ppc64     3.2-3.fc19                   fedora   316 k
 libutempter              ppc64     1.1.6-2.fc19                 fedora    26 k
 libuuid                  ppc64     2.22.2-6.fc19                fedora    69 k
 libverto                 ppc64     0.2.5-2.fc19                 fedora    17 k
 libxml2                  ppc64     2.9.0-4.fc19                 fedora   618 k
 lua                      ppc64     5.1.4-12.fc19                fedora   195 k
 mpfr                     ppc64     3.1.1-2.fc19                 fedora   207 k
 ncurses                  ppc64     5.9-9.20130316.fc19          fedora   305 k
 ncurses-base             noarch    5.9-9.20130316.fc19          fedora    68 k
 ncurses-libs             ppc64     5.9-9.20130316.fc19          fedora   322 k
 nettle                   ppc64     2.6-2.fc19                   fedora   265 k
 nspr                     ppc64     4.9.5-2.fc19                 fedora   128 k
 nss                      ppc64     3.14.3-10.fc19               fedora   809 k
 nss-softokn              ppc64     3.14.3-1.fc19                fedora   273 k
 nss-softokn-freebl       ppc64     3.14.3-1.fc19                fedora   157 k
 nss-sysinit              ppc64     3.14.3-10.fc19               fedora    42 k
 nss-tools                ppc64     3.14.3-10.fc19               fedora   395 k
 nss-util                 ppc64     3.14.3-1.fc19                fedora    69 k
 openldap                 ppc64     2.4.34-1.fc19                fedora   344 k
 openssl-libs             ppc64p7   1:1.0.1e-4.fc19              fedora   851 k
 p11-kit                  ppc64     0.17.3-1.fc19                fedora    92 k
 p11-kit-trust            ppc64     0.17.3-1.fc19                fedora    69 k
 pam                      ppc64     1.1.6-8.fc19                 fedora   746 k
 pcre                     ppc64     8.32-4.fc19                  fedora   379 k
 perl                     ppc64     4:5.16.3-261.fc19            fedora   8.3 M
 perl-Carp                noarch    1.26-241.fc19                fedora    19 k
 perl-Encode              ppc64     2.49-1.fc19                  fedora   1.5 M
 perl-Filter              ppc64     1.45-5.fc19                  fedora    78 k
 perl-PathTools           ppc64     3.40-1.fc19                  fedora    91 k
 perl-Pod-Escapes         noarch    1:1.04-261.fc19              fedora    46 k
 perl-Pod-Simple          noarch    1:3.20-261.fc19              fedora   235 k
 perl-Scalar-List-Utils   ppc64     1.27-246.fc19                fedora    37 k
 perl-Socket              ppc64     2.009-2.fc19                 fedora    49 k
 perl-Thread-Queue        noarch    3.02-1.fc19                  fedora    17 k
 perl-libs                ppc64     4:5.16.3-261.fc19            fedora   668 k
 perl-macros              ppc64     4:5.16.3-261.fc19            fedora    39 k
 perl-srpm-macros         noarch    1-7.fc19                     fedora   4.6 k
 perl-threads             ppc64     1.86-242.fc19                fedora    50 k
 perl-threads-shared      ppc64     1.43-2.fc19                  fedora    40 k
 pinentry                 ppc64     0.8.1-10.fc19                fedora    72 k
 pkgconfig                ppc64     1:0.27-2.fc19                fedora    53 k
 policycoreutils          ppc64     2.1.14-23.fc19               fedora   701 k
 popt                     ppc64     1.13-14.fc19                 fedora    42 k
 pth                      ppc64     2.0.7-19.fc19                fedora    92 k
 python                   ppc64     2.7.3-34.fc19                fedora    82 k
 python-libs              ppc64p7   2.7.3-34.fc19                fedora   5.5 M
 qrencode-libs            ppc64     3.4.1-1.fc19                 fedora    52 k
 readline                 ppc64     6.2-6.fc19                   fedora   198 k
 rpm                      ppc64     4.11.0.1-1.fc19              fedora   1.1 M
 rpm-build-libs           ppc64     4.11.0.1-1.fc19              fedora    98 k
 rpm-libs                 ppc64     4.11.0.1-1.fc19              fedora   268 k
 selinux-policy           noarch    3.12.1-23.fc19               fedora   240 k
 setup                    noarch    2.8.66-1.fc19                fedora   161 k
 shared-mime-info         ppc64     1.1-4.fc19                   fedora   370 k
 sqlite                   ppc64     3.7.15.2-2.fc19              fedora   373 k
 systemd                  ppc64     198-7.fc19                   fedora   2.3 M
 systemd-libs             ppc64     198-7.fc19                   fedora   145 k
 systemd-sysv             ppc64     198-7.fc19                   fedora    26 k
 tcp_wrappers-libs        ppc64     7.6-73.fc19                  fedora    68 k
 tzdata                   noarch    2012j-3.fc19                 fedora   435 k
 ustr                     ppc64     1.0.4-13.fc18                fedora    89 k
 xz-libs                  ppc64p7   5.1.2-4alpha.fc19            fedora   112 k
 zip                      ppc64     3.0-7.fc19                   fedora   253 k
 zlib                     ppc64p7   1.2.7-10.fc19                fedora    92 k

Transaction Summary
================================================================================
Install  24 Packages (+133 Dependent packages)

Total size: 113 M
Total download size: 73 M
Installed size: 495 M
http://ppc.koji.fedoraproject.org/mash/branched-20130325/19-ppc/ppc64/os/Packages/b/binutils-2.23.52.0.1-6.fc19.ppc64.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
http://ppc.koji.fedoraproject.org/mash/branched-20130325/19-ppc/ppc64/os/Packages/p/perl-5.16.3-261.fc19.ppc64.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
http://ppc.koji.fedoraproject.org/mash/branched-20130325/19-ppc/ppc64/os/Packages/p/perl-Pod-Escapes-1.04-261.fc19.noarch.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
http://ppc.koji.fedoraproject.org/mash/branched-20130325/19-ppc/ppc64/os/Packages/p/perl-Pod-Simple-3.20-261.fc19.noarch.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
http://ppc.koji.fedoraproject.org/mash/branched-20130325/19-ppc/ppc64/os/Packages/p/perl-libs-5.16.3-261.fc19.ppc64.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
http://ppc.koji.fedoraproject.org/mash/branched-20130325/19-ppc/ppc64/os/Packages/p/perl-macros-5.16.3-261.fc19.ppc64.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.


Error Downloading Packages:
  4:perl-macros-5.16.3-261.fc19.ppc64: [Errno 256] No more mirrors to try.
  1:perl-Pod-Simple-3.20-261.fc19.noarch: [Errno 256] No more mirrors to try.
  binutils-2.23.52.0.1-6.fc19.ppc64: [Errno 256] No more mirrors to try.
  4:perl-libs-5.16.3-261.fc19.ppc64: [Errno 256] No more mirrors to try.
  4:perl-5.16.3-261.fc19.ppc64: [Errno 256] No more mirrors to try.
  1:perl-Pod-Escapes-1.04-261.fc19.noarch: [Errno 256] No more mirrors to try.

Comment 1 Zdeněk Pavlas 2013-03-25 13:59:13 UTC
Unfortunately, I can't reproduce this, due to "ERROR: Cannot build target ppc64 on arch i686".  Is the set of packages that fail always the same?

But this really feels it might be the issue when Yum runs multiple downloads to the same target file, we've discussed in BZ 923951.  I've backported the dupe check from rawhide.  Could you please check if it fixes this issue?  I'd build a new Yum for F18 then.

diff -up yum-3.4.3/yum/__init__.py.old yum-3.4.3/yum/__init__.py
--- yum-3.4.3/yum/__init__.py.old	2013-03-25 14:45:17.125277817 +0100
+++ yum-3.4.3/yum/__init__.py	2013-03-25 14:48:31.158718960 +0100
@@ -2226,11 +2226,17 @@ much more problems).
         repo_cached = False
         remote_pkgs = []
         remote_size = 0
+        beenthere = set() # only once, please. BZ 468401
         for po in pkglist:
             if hasattr(po, 'pkgtype') and po.pkgtype == 'local':
                 continue
                     
             local = po.localPkg()
+            if local in beenthere:
+                # This is definitely a depsolver bug.  Make it fatal?
+                self.verbose_logger.warn(_("ignoring a dupe of %s") % po)
+                continue
+            beenthere.add(local)
             if os.path.exists(local):
                 if not self.verifyPkg(local, po, False):
                     if po.repo.cache:

Comment 2 Fedora Update System 2013-03-25 14:49:50 UTC
yum-3.4.3-53.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-3.4.3-53.fc18

Comment 3 Mark Hamzy 2013-03-25 15:21:13 UTC
Your patch failed for me (probably due to missing whitespace?).

My version of that patch
http://paste.fedoraproject.org/5975/22674136
worked for me.  I tested it a couple of times, so this seems to resolve the issue.

Comment 4 Fedora Update System 2013-03-25 23:05:50 UTC
Package yum-3.4.3-53.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-53.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4406/yum-3.4.3-53.fc18
then log in and leave karma (feedback).

Comment 5 Neil 2013-03-28 22:10:30 UTC
This also affects installation of F19 using the Alpha-TC2-netinst.iso

Comment 6 Neil 2013-03-28 22:15:52 UTC
(In reply to comment #5)
> This also affects installation of F19 using the Alpha-TC2-netinst.iso

Sorry, my comment is not for the ppc64 architecture, it is for the x86_64 architecture.

Comment 7 Fedora Update System 2013-04-05 00:01:24 UTC
yum-3.4.3-53.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.